Subject: bug#18112: 24.4.50; emacs --daemon infinite loop in find_interval

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Aug 2014 18:37:17 +0300

> Date: Sat, 09 Aug 2014 13:14:15 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > I see no improvement for the "total" size.  The additions to the doc
>  > strings point to window-total-size, but that function's doc string
>  > does not explain what is the semantics of "total" in this respect.
>  > (The doc string of window-total-size references window-total-width and
>  > window-total-height, which do say something about that, but having to
>  > traverse more than 1 hyperlink to find the information is not a good
>  > idea, IMO.)
>  >
>  > Also, the way you document the *-new-* functions could be improved.
>  > You say something like
>  >
>  >    The new pixel size of WINDOW is used by `window-resize-apply' and, if
>  >    that function succeeds, will be subsequently returned by the functions
>  >    `window-pixel-height' and `window-pixel-width'.
>  >
>  > I suggest instead to say something that describes the effect, but not
>  > how the effect is achieved (which is low-level information that
>  > obscures and obfuscates what the reader would like to know):
>  >
>  >    The new pixel size of WINDOW, if it is valid, will be shortly
>  >    installed as WINDOW's size.
> 
> I've tried to follow your advices.  Please have another look.

Thanks, the *-new-* functions are now clearly documented.

The issue with window-total-size is still there, though.